> ## Documentation Index
> Fetch the complete documentation index at: https://semgrep-ee9d73d8-mintlify-b75b9a88.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List deployments

> Request the deployments your auth can access.

Currently available auth scope does not extend over more than one deployment. This endpoint returns the single deployment your token can access. The endpoint additionally returns links to related resources available on this API.



## OpenAPI

````yaml get /api/v1/deployments
openapi: 3.0.3
info:
  description: >

    Welcome to Semgrep's portal for the Semgrep AppSec Platform web API.


    # Introduction

    Semgrep is a fast, open-source, static analysis tool for finding bugs and
    enforcing code standards at editor,

    commit, and CI time. [Get started.](https://semgrep.dev/getting-started/)


    Semgrep analyzes code locally on your computer or in your build environment:
    **code is never uploaded.**


    This API is documented in the **OpenAPI format**.


    # Authentication

    The API supports authentication with an API token with the "Web API"
    permission, without limited

    scopes of access.


    You can provision an API token [from the Settings
    page](https://semgrep.dev/orgs/-/settings/tokens).


    # Terms of Use


    Please note, the materials made available herein are subject to the

    [Semgrep Terms of Use](https://semgrep.dev/resources/website-terms/), and
    your

    access or use of any of the same is your acknowledgment and acceptance of
    the

    such terms.


    <br>


    ___
  title: Semgrep Web App
  version: 1.0.0
servers:
  - url: https://semgrep.dev
security: []
tags:
  - description: >-
      Deployments encapsulate your organization's security organization, with
      multiple projects, policies, and integrations. As the root object of the
      organization, they're similarly the root object of the API.
    name: DeploymentsService
    x-displayName: Deployment
  - description: >-
      Manage and retrieve code and supply chain security findings from Semgrep
      scans
    name: FindingsService
    x-displayName: Code and Supply Chain
  - description: Utility endpoints.
    name: MiscService
    x-displayName: Other
  - description: View and manage the Policies of your organization.
    name: PoliciesService
    x-displayName: Policies
  - name: ProjectsService
    x-displayName: Projects
  - description: View details of scans associated with projects in your organization.
    name: ScansService
    x-displayName: Scans
  - description: View and manage the Secrets of your organization.
    name: SecretsService
    x-displayName: Secrets
  - description: |-
      Manage the Supply Chain findings and dependencies of your organization.

      A request body is required, but may be an empty object.
    name: SupplyChainService
    x-displayName: Supply Chain
  - description: Create and manage external tickets
    name: TicketingService
    x-displayName: Ticketing
  - description: View and manage the triage of your organization.
    name: TriageService
    x-displayName: Triage
paths:
  /api/v1/deployments:
    get:
      tags:
        - DeploymentsService
      summary: List deployments
      description: >-
        Request the deployments your auth can access.


        Currently available auth scope does not extend over more than one
        deployment. This endpoint returns the single deployment your token can
        access. The endpoint additionally returns links to related resources
        available on this API.
      operationId: DeploymentsService_ListDeployments
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/protos.openapi.v1.ListDeploymentsResponse'
          description: OK
      security:
        - SemgrepWebToken: []
components:
  schemas:
    protos.openapi.v1.ListDeploymentsResponse:
      properties:
        deployments:
          description: Return the deployment the supplied token can access.
          items:
            $ref: '#/components/schemas/protos.openapi.v1.Deployment'
          type: array
      type: object
    protos.openapi.v1.Deployment:
      description: Deployment record, with relevant meta-data and further accesses.
      properties:
        findings:
          $ref: '#/components/schemas/protos.openapi.v1.EndpointReference'
        id:
          description: Unique numerical identifier of the deployment.
          example: 120
          format: uint32
          type: number
        name:
          description: Human readable name.
          example: Your Deployment
          type: string
        slug:
          description: >-
            Sanitized machine-readable name. Used as primary identifier through
            the web API.
          example: your-deployment
          type: string
      required:
        - slug
        - id
        - name
      title: Deployment
      type: object
    protos.openapi.v1.EndpointReference:
      properties:
        url:
          description: URL that the reference is pointing to.
          example: https://semgrep.dev/api/v1/deployments/123/findings
          type: string
      required:
        - url
      title: Endpoint Reference
      type: object
  securitySchemes:
    SemgrepWebToken:
      bearerFormat: string
      description: >-
        Get access to data with your API token. Example header:


        `Authorization: Bearer
        2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628`


        The token can be provisioned from the Tokens section in your Settings,
        and requires explicitly enabling `Web API` access.
      scheme: bearer
      type: http

````